#include <stdio.h>
#include <stdlib.h>

int main()
{   int N, L, H;

    // Citanje broja stalaktita i visine Perice
    scanf("%d %d", &N, &L);

    // Citanje i obrada svih visina jedan po jedan
    for (int i = 0; i < N; i++) {
        scanf("%d", &H);  // Citanje visine trenutnog stalaktita

        // Ako visina stalaktita nije iznad Pericine visine, Perica se zaustavlja
        if (H <= L) {
            printf("%d\n", i + 1);  // Indeks je 1-baziran
            return 0;  // Završavamo program
        }
    }

    // Ako Perica može da prode kroz sve stalaktite
    printf("-1\n");

    return 0;
}